package com.mortals.xhx.module.matters.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Matters
* date: 2021-9-16 20:01:52
*/
public class MattersEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1631793712553L;


    /**
    * 区域编码
    */
    private String areaCode;

    /**
    * 部门编号
    */
    private String deptCode;

    /**
    * 行政权力编号
    */
    private String powerCode;

    /**
    * 主题编号
    */
    private String themeCode;

    /**
    * 服务类型编号
    */
    private String usertypeCode;

    /**
    * 事项编号
    */
    private String matterCode;

    /**
    * 事项名称
    */
    private String name;

    /**
    * 事项组名
    */
    private String groupName;

    /**
    * 事项详情链接
    */
    private String url;

    /**
    * 是否获取事项详情
    */
    private String haveGetMatterInfo;

    /**
    * 修改时间
    */
    private Date updatetime;

    public MattersEntity(){

    }
    /**
    * 获取 区域编码
    * @return areaCode
    */
    public String getAreaCode() {
        return this.areaCode;
    }
    /**
    * 设置 区域编码
    * @param areaCode
    */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    /**
    * 获取 部门编号
    * @return deptCode
    */
    public String getDeptCode() {
        return this.deptCode;
    }
    /**
    * 设置 部门编号
    * @param deptCode
    */
    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }
    /**
    * 获取 行政权力编号
    * @return powerCode
    */
    public String getPowerCode() {
        return this.powerCode;
    }
    /**
    * 设置 行政权力编号
    * @param powerCode
    */
    public void setPowerCode(String powerCode) {
        this.powerCode = powerCode;
    }
    /**
    * 获取 主题编号
    * @return themeCode
    */
    public String getThemeCode() {
        return this.themeCode;
    }
    /**
    * 设置 主题编号
    * @param themeCode
    */
    public void setThemeCode(String themeCode) {
        this.themeCode = themeCode;
    }
    /**
    * 获取 服务类型编号
    * @return usertypeCode
    */
    public String getUsertypeCode() {
        return this.usertypeCode;
    }
    /**
    * 设置 服务类型编号
    * @param usertypeCode
    */
    public void setUsertypeCode(String usertypeCode) {
        this.usertypeCode = usertypeCode;
    }
    /**
    * 获取 事项编号
    * @return matterCode
    */
    public String getMatterCode() {
        return this.matterCode;
    }
    /**
    * 设置 事项编号
    * @param matterCode
    */
    public void setMatterCode(String matterCode) {
        this.matterCode = matterCode;
    }
    /**
    * 获取 事项名称
    * @return name
    */
    public String getName() {
        return this.name;
    }
    /**
    * 设置 事项名称
    * @param name
    */
    public void setName(String name) {
        this.name = name;
    }
    /**
    * 获取 事项组名
    * @return groupName
    */
    public String getGroupName() {
        return this.groupName;
    }
    /**
    * 设置 事项组名
    * @param groupName
    */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
    /**
    * 获取 事项详情链接
    * @return url
    */
    public String getUrl() {
        return this.url;
    }
    /**
    * 设置 事项详情链接
    * @param url
    */
    public void setUrl(String url) {
        this.url = url;
    }
    /**
    * 获取 是否获取事项详情
    * @return haveGetMatterInfo
    */
    public String getHaveGetMatterInfo() {
        return this.haveGetMatterInfo;
    }
    /**
    * 设置 是否获取事项详情
    * @param haveGetMatterInfo
    */
    public void setHaveGetMatterInfo(String haveGetMatterInfo) {
        this.haveGetMatterInfo = haveGetMatterInfo;
    }
    /**
    * 获取 修改时间
    * @return updatetime
    */
    public Date getUpdatetime() {
        return this.updatetime;
    }
    /**
    * 设置 修改时间
    * @param updatetime
    */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MattersEntity) {
            MattersEntity tmp = (MattersEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",areaCode:").append(getAreaCode())
                .append(",deptCode:").append(getDeptCode())
                .append(",powerCode:").append(getPowerCode())
                .append(",themeCode:").append(getThemeCode())
                .append(",usertypeCode:").append(getUsertypeCode())
                .append(",matterCode:").append(getMatterCode())
                .append(",name:").append(getName())
                .append(",groupName:").append(getGroupName())
                .append(",url:").append(getUrl())
                .append(",haveGetMatterInfo:").append(getHaveGetMatterInfo())
                .append(",updatetime:").append(getUpdatetime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.areaCode = null;
         this.deptCode = null;
         this.powerCode = null;
         this.themeCode = null;
         this.usertypeCode = null;
         this.matterCode = null;
         this.name = null;
         this.groupName = null;
         this.url = null;
         this.haveGetMatterInfo = null;
         this.updatetime = null;
    }
}